Partage
  • Partager sur Facebook
  • Partager sur Twitter

[COURS] Nettoyez et décrivez votre jeu de données

Team OC 11 septembre 2018 à 19:30:53

Bonjour LamineGueye10.

En général, l'erreur est  expliquée tout en bas du message d'erreur. N'hésitez pas à y jeter un oeil.

Ici, il est écrit "

FileNotFoundError: File b'operations.csv' does not exist

"

Je vous laisse chercher un peu la cause, et si vous ne trouvez pas nous pourrons vous aider un peu plus ;)


LamineGueye10 a écrit:

j'ai des problèmes pour importer le fichier opération 

IL affiche cela 

FileNotFoundError                         Traceback (most recent call last)
<ipython-input-5-4b82e6fca4ec> in <module>()
 1 import pandas as pd
----> 2data = pd.read_csv("operations.csv",parse_dates=[1,2])
 3 print(data)

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in parser_f(filepath_or_buffer, sep, delimiter, header, names, index_col, usecols, squeeze, prefix, mangle_dupe_cols, dtype, engine, converters, true_values, false_values, skipinitialspace, skiprows, nrows, na_values, keep_default_na, na_filter, verbose, skip_blank_lines, parse_dates, infer_datetime_format, keep_date_col, date_parser, dayfirst, iterator, chunksize, compression, thousands, decimal, lineterminator, quotechar, quoting, escapechar, comment, encoding, dialect, tupleize_cols, error_bad_lines, warn_bad_lines, skipfooter, doublequote, delim_whitespace, low_memory, memory_map, float_precision)
 676                     skip_blank_lines=skip_blank_lines)
 677 
--> 678return _read(filepath_or_buffer, kwds)
 679 
 680     parser_f.__name__ = name

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in _read(filepath_or_buffer, kwds)
 438 
 439     # Create the parser.
--> 440parser = TextFileReader(filepath_or_buffer, **kwds)
 441 
 442     if chunksize or iterator:

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in __init__(self, f, engine, **kwds)
 785             self.options['has_index_names'] = kwds['has_index_names']
 786 
--> 787self._make_engine(self.engine)
 788 
 789     def close(self):

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in _make_engine(self, engine)
 1012     def _make_engine(self, engine='c'):
 1013         if engine == 'c':
-> 1014self._engine = CParserWrapper(self.f, **self.options)
 1015         else:
 1016             if engine == 'python':

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in __init__(self, src, **kwds)
 1706         kwds['usecols'] = self.usecols
 1707 
-> 1708self._reader = parsers.TextReader(src, **kwds)
 1709 
 1710         passed_names = self.names is None

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader.__cinit__()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._setup_parser_source()

FileNotFoundError: File b'operations.csv' does not exist


  • Partager sur Facebook
  • Partager sur Twitter
14 septembre 2018 à 10:34:11

Bonjour ; 

j'ai eu ce message d'erreur :

---------------------------------------------------------------------------NameError Traceback (most recent call last) <ipython-input-1-ff51cfa4a764> in <module>() 1# Controle des colonnes 2for c in['date_operation','libelle','debit','credit']:----> 3if c notin data.columns: 4if(c in['debit','credit']and'montant'notin data.columns)or(c notin['debit','credit']): 5 msg ="Il vous manque la colonne '{}'. Attention aux majuscules "NameError: name 'data' is not defined


Merci bien pour votre retour??????????

  • Partager sur Facebook
  • Partager sur Twitter
Team OC 14 septembre 2018 à 11:37:54

KhadijaIraoui1 a écrit:

Bonjour ; 

j'ai eu ce message d'erreur :

---------------------------------------------------------------------------NameError Traceback (most recent call last) <ipython-input-1-ff51cfa4a764> in <module>() 1# Controle des colonnes 2for c in['date_operation','libelle','debit','credit']:----> 3if c notin data.columns: 4if(c in['debit','credit']and'montant'notin data.columns)or(c notin['debit','credit']): 5 msg ="Il vous manque la colonne '{}'. Attention aux majuscules "NameError: name 'data' is not defined


Merci bien pour votre retour??????????


Bonjour,

Il semble que votre variable "data" soit inexistante. êtes-vous sûr d'avoir bien chargé le csv dans la variable data ? pouvez-vous insérer "print(data)" juste avant la ligne "for c in['date_operation','libelle','debit','credit']:" ?

  • Partager sur Facebook
  • Partager sur Twitter
24 septembre 2018 à 7:29:59

Bonjour Nicolas,

J'ai un souci avec le dernier code (Q4) du TP... il ne marche pas...Y'a un truc qui bug à partir de la fonction loc. J'essaie depuis hier de trouver d'où ça peut venir, mais je sèche un peu là...

---------------------------------------------------------------------------
ValueError                                Traceback (most recent call last)
<ipython-input-22-d5b8a10a63d5> in <module>()
----> 1iris.loc[i,"petal_width"] = Y # on remplace la valeur manquante par Y
 2 lignes_modifiees.append(i)
 3 print("On a complété petal_width par {} a partir de petal_length={}".format(Y,X))

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in __setitem__(self, key, value)
 187             key = com._apply_if_callable(key, self.obj)
 188         indexer = self._get_setitem_indexer(key)
--> 189self._setitem_with_indexer(indexer, value)
 190 
 191     def _validate_key(self, key, axis):

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in _setitem_with_indexer(self, indexer, value)
 467 
 468             if isinstance(value, ABCSeries):
--> 469value = self._align_series(indexer, value)
 470 
 471             info_idx = indexer[info_axis]

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in _align_series(self, indexer, ser, multiindex_indexer)
 775             return ser.reindex(ax)._values
 776 
--> 777raise ValueError('Incompatible indexer with Series')
 778 
 779     def _align_frame(self, indexer, df):

ValueError: Incompatible indexer with Series
  • Partager sur Facebook
  • Partager sur Twitter

Aurelie GIRAUD
Data Analyst Student

8 octobre 2018 à 7:21:43

Bonjour,

J'ai également du mal à importer lire les données avec Jupyter : quand j'essaie avec le fichier csv test, ça fonctionne

Quand j'essaie avec mon propre fichier (exporté depuis mon espace en ligne Boursorama), voilà le type d'erreur :

------------------

UnicodeDecodeError                        Traceback (most recent call last)
pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._convert_tokens()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._convert_with_dtype()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._string_convert()

pandas\_libs\parsers.pyx in pandas._libs.parsers._string_box_utf8()

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 26: invalid continuation byte

During handling of the above exception, another exception occurred:

UnicodeDecodeError                        Traceback (most recent call last)
<ipython-input-30-7d3df61892ec> in <module>()
 1 import pandas as pd
----> 2data = pd.read_csv("operations2.csv",parse_dates=[0,1],sep= ';',decimal= ',', dayfirst=True, error_bad_lines=False)
 3 print(data)

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in parser_f(filepath_or_buffer, sep, delimiter, header, names, index_col, usecols, squeeze, prefix, mangle_dupe_cols, dtype, engine, converters, true_values, false_values, skipinitialspace, skiprows, nrows, na_values, keep_default_na, na_filter, verbose, skip_blank_lines, parse_dates, infer_datetime_format, keep_date_col, date_parser, dayfirst, iterator, chunksize, compression, thousands, decimal, lineterminator, quotechar, quoting, escapechar, comment, encoding, dialect, tupleize_cols, error_bad_lines, warn_bad_lines, skipfooter, doublequote, delim_whitespace, low_memory, memory_map, float_precision)
 676                     skip_blank_lines=skip_blank_lines)
 677 
--> 678return _read(filepath_or_buffer, kwds)
 679 
 680     parser_f.__name__ = name

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in _read(filepath_or_buffer, kwds)
 444 
 445     try:
--> 446data = parser.read(nrows)
 447     finally:
 448         parser.close()

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in read(self, nrows)
 1034                 raise ValueError('skipfooter not supported for iteration')
 1035 
-> 1036ret = self._engine.read(nrows)
 1037 
 1038         # May alter columns / col_dict

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in read(self, nrows)
 1846     def read(self, nrows=None):
 1847         try:
-> 1848data = self._reader.read(nrows)
 1849         except StopIteration:
 1850             if self._first_chunk:

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader.read()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._read_low_memory()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._read_rows()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._convert_column_data()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._convert_tokens()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._convert_with_dtype()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._string_convert()

pandas\_libs\parsers.pyx in pandas._libs.parsers._string_box_utf8()

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 26: invalid continuation byte
Quelqu'un saurait m'aider ?
Cordialement,
Yann
  • Partager sur Facebook
  • Partager sur Twitter
YF
25 octobre 2018 à 20:55:44

Pour l'erreur "
UnicodeDecodeError: 'utf-8' 

J'avais la même...

Ouvrez votre fichier avec un editeur qui gere l'encodage (genre sublimetext), et enregistrez votre fichier avec l'encodage utf-8 (File --> Save with encoding)


-
Edité par Pezman 26 octobre 2018 à 11:59:54

  • Partager sur Facebook
  • Partager sur Twitter
30 octobre 2018 à 20:48:41

Porblème résolu après des recherches...

bonjour après avoir réussi l'importation de mon fichier perso j'ai saisie les lignes suivantes:

from collections import Counter

def most_common_words(labels):
    words = []
    for lab in labels:
        words += lab.split(" ")
    counter = Counter(words)
    for word in counter.most_common(100):
        print(word)
most_common_words(data['libelle'].values)

et j'ai le message suivant:

---------------------------------------------------------------------------
AttributeError                            Traceback (most recent call last)
<ipython-input-12-3c1cd7679545> in <module>()
      8     for word in counter.most_common(100):
      9         print(word)
---> 10 most_common_words(data['libelle'].values)

<ipython-input-12-3c1cd7679545> in most_common_words(labels)
      4     words = []
      5     for lab in labels:
----> 6         words += lab.split(" ")
      7     counter = Counter(words)
      8     for word in counter.most_common(100):

AttributeError: 'float' object has no attribute 'split'

j'aurais besoin d'aide pour resoudre cette erreur.

merci d'avance.


-
Edité par AngeKoi2 31 octobre 2018 à 18:59:51

  • Partager sur Facebook
  • Partager sur Twitter
26 novembre 2018 à 11:14:09

Bonjour,

Ensuivant les instructions du cours de Nicolas, la constitution du fichier operations.enrichies.csv est arrivée au bout avec succès ! cependant j'ai ce message :

 C:\Users\Garde\Anaconda3\ANACONDA bis\lib\site-packages\ipykernel_launcher.py:62: FutureWarning: `weekday_name` is deprecated and will be removed in a future version. Use `day_name` instead

Faut-il que je le prenne en compte et comment ?

Merci par avance,

(Nicolas, j'adore vos cours ! merci beaucoup)

Alexandra


  • Partager sur Facebook
  • Partager sur Twitter
3 décembre 2018 à 11:35:54

Bonjour Aurélie, je suis également bloquée sur cette question Q4 du TP...

As tu reçue une réponse ou une piste qui t'a débloquée ?

Merci !

Alexandra


AurélieGiraud1 a écrit:

Bonjour Nicolas,

J'ai un souci avec le dernier code (Q4) du TP... il ne marche pas...Y'a un truc qui bug à partir de la fonction loc. J'essaie depuis hier de trouver d'où ça peut venir, mais je sèche un peu là...

---------------------------------------------------------------------------
ValueError                                Traceback (most recent call last)
<ipython-input-22-d5b8a10a63d5> in <module>()
----> 1iris.loc[i,"petal_width"] = Y # on remplace la valeur manquante par Y
 2 lignes_modifiees.append(i)
 3 print("On a complété petal_width par {} a partir de petal_length={}".format(Y,X))

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in __setitem__(self, key, value)
 187             key = com._apply_if_callable(key, self.obj)
 188         indexer = self._get_setitem_indexer(key)
--> 189self._setitem_with_indexer(indexer, value)
 190 
 191     def _validate_key(self, key, axis):

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in _setitem_with_indexer(self, indexer, value)
 467 
 468             if isinstance(value, ABCSeries):
--> 469value = self._align_series(indexer, value)
 470 
 471             info_idx = indexer[info_axis]

~\Anaconda3\lib\site-packages\pandas\core\indexing.py in _align_series(self, indexer, ser, multiindex_indexer)
 775             return ser.reindex(ax)._values
 776 
--> 777raise ValueError('Incompatible indexer with Series')
 778 
 779     def _align_frame(self, indexer, df):

ValueError: Incompatible indexer with Series


  • Partager sur Facebook
  • Partager sur Twitter
10 décembre 2018 à 11:00:37

Bonjour, je souhaite suivre ce cours en utilisant R et je voulais savoir s'il existait le pas à pas en R (comme celui proposé dans le cours pour Python). Qui serait plus facile à reproduire que d'ouvrir un fichier de type preprocessing.

d avance merci

anais

  • Partager sur Facebook
  • Partager sur Twitter
Team OC 10 décembre 2018 à 11:54:02

Bonjour Aurélie,

Pouvez-vous me faire une capture d'écran du contenu de la variable iris et de la variable Y dans l'état dans lequel elles sont à cette ligne :

iris.loc[i,"petal_width"] = Y

Merci.

AurélieGiraud1 a écrit:

Bonjour Nicolas,

J'ai un souci avec le dernier code (Q4) du TP... il ne marche pas...Y'a un truc qui bug à partir de la fonction loc. J'essaie depuis hier de trouver d'où ça peut venir, mais je sèche un peu là...




Bonjour Alexandra, pour le warning, ce n'est pas grave, anaconda nous informe juste que dans les nouvelles versions du code à venir, il faudra penser à modifier 'weekday_name' en 'day_name' car weekday_name va être supprimée dans les prochaines versions (on dit qu'elle sera dépréciée). Cependant, elle reste encore active pour votre version actuelle d'anaconda.


AlexandraGardel a écrit:

Bonjour,

Ensuivant les instructions du cours de Nicolas, la constitution du fichier operations.enrichies.csv est arrivée au bout avec succès ! cependant j'ai ce message :

 C:\Users\Garde\Anaconda3\ANACONDA bis\lib\site-packages\ipykernel_launcher.py:62: FutureWarning: `weekday_name` is deprecated and will be removed in a future version. Use `day_name` instead

Faut-il que je le prenne en compte et comment ?

Merci par avance,

(Nicolas, j'adore vos cours ! merci beaucoup)

Alexandra


Bonjour Anaïs, malheureusement il n'y a pas de version R pas-à-pas. Cepandant, les codes Python et R sont assez similaires et il devrait être assez simple de savoir quelle partie Python correspond à quelle partie en R. Utilisez-vous un notebook ou Rstudio pour exécuter les lignes de codes les unes après les autres pas-à-pas ?

AnaisRossetto a écrit:

Bonjour, je souhaite suivre ce cours en utilisant R et je voulais savoir s'il existait le pas à pas en R (comme celui proposé dans le cours pour Python). Qui serait plus facile à reproduire que d'ouvrir un fichier de type preprocessing.

d avance merci

anais



  • Partager sur Facebook
  • Partager sur Twitter
10 décembre 2018 à 15:15:14

Merci Nicolas pour cette rapide réponse.

J'ai ouvert les doc sur un bloc note. Je ne trouve pas qu'il soit facile de faire la transposition python sur R, sauf si on a déjà un bon niveau.

Personnellement j'ai essayé et je trouve cela trop difficile. (je suis plutôt débutant en R, je suis en parallèle un cours pour apprendre à l'utiliser mais je reste débutante.

je vais donc passer ce cours seulement du point de vue de la théorie mais c est dommage car les applications sont très utiles à la compréhension.Peut être une prochaine version en pas à pas ...

  • Partager sur Facebook
  • Partager sur Twitter
8 janvier 2019 à 23:58:58

Salut, 

Je n'arrive pas à démarrer le notebook jupyter dans mon navigateur sur Win 10, ça se charge depuis des minutes sans rien afficher. Que faire , alors que mon installation sur Win 10 s'est bien passé( anaconda navigator démarre bien)?

  • Partager sur Facebook
  • Partager sur Twitter
17 janvier 2019 à 17:26:53

Bonjour,

J'ai deux petites questions sur la régression linéaire au niveau du code :

Pourquoi il y a-t-il une double [["..."']] pour la variable X.

A quoi correspond la ligne 4 ? J'ai bien essayé de l'enlever est on obtient le coefficient uniquement pour la variable "attente" avec un coeff différent. 

merci d'avance !

  • Partager sur Facebook
  • Partager sur Twitter
18 janvier 2019 à 4:34:15

Bonjour,

j'ai des problèmes pour importer le fichier operations.csv

IL affiche cela 

FileNotFoundError                         Traceback (most recent call last)
<ipython-input-5-4b82e6fca4ec> in <module>()
 1 import pandas as pd
----> 2data = pd.read_csv("operations.csv",parse_dates=[1,2])
 3 print(data)

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in parser_f(filepath_or_buffer, sep, delimiter, header, names, index_col, usecols, squeeze, prefix, mangle_dupe_cols, dtype, engine, converters, true_values, false_values, skipinitialspace, skiprows, nrows, na_values, keep_default_na, na_filter, verbose, skip_blank_lines, parse_dates, infer_datetime_format, keep_date_col, date_parser, dayfirst, iterator, chunksize, compression, thousands, decimal, lineterminator, quotechar, quoting, escapechar, comment, encoding, dialect, tupleize_cols, error_bad_lines, warn_bad_lines, skipfooter, doublequote, delim_whitespace, low_memory, memory_map, float_precision)
 676                     skip_blank_lines=skip_blank_lines)
 677 
--> 678return _read(filepath_or_buffer, kwds)
 679 
 680     parser_f.__name__ = name

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in _read(filepath_or_buffer, kwds)
 438 
 439     # Create the parser.
--> 440parser = TextFileReader(filepath_or_buffer, **kwds)
 441 
 442     if chunksize or iterator:

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in __init__(self, f, engine, **kwds)
 785             self.options['has_index_names'] = kwds['has_index_names']
 786 
--> 787self._make_engine(self.engine)
 788 
 789     def close(self):

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in _make_engine(self, engine)
 1012     def _make_engine(self, engine='c'):
 1013         if engine == 'c':
-> 1014self._engine = CParserWrapper(self.f, **self.options)
 1015         else:
 1016             if engine == 'python':

~\Anaconda3\lib\site-packages\pandas\io\parsers.py in __init__(self, src, **kwds)
 1706         kwds['usecols'] = self.usecols
 1707 
-> 1708self._reader = parsers.TextReader(src, **kwds)
 1709 
 1710         passed_names = self.names is None

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader.__cinit__()

pandas\_libs\parsers.pyx in pandas._libs.parsers.TextReader._setup_parser_source()

FileNotFoundError: File b'operations.csv' does not exist

 Je vois qu'on me signale que mon fichier "operations.csv" n'existe pas

   Et pourtant le fichier "operations.csv" et mon script se trouve dans le meme repertoire.

Merci de bien de bien vouloir m'aider.


-
Edité par KOUMARE SIRIKI 18 janvier 2019 à 4:39:48

  • Partager sur Facebook
  • Partager sur Twitter
31 janvier 2019 à 15:13:02

Bonjour,

J'ai un problème de parse sur les dates. Ca fonctionne si j'enlève parse_dates=[1,2,5]

J'ai 3 dates : date de comptabilisation-date operation-date valeur

voilà la commande 

data = pd.read_csv("operations.csv",
                   sep= ';', decimal= ',',
                   parse_dates=[1,2,5], dayfirst=True)

voila l'erreur

---------------------------------------------------------------------------
TypeError                                 Traceback (most recent call last)
<ipython-input-21-e594b5c19cb9> in <module>()
 1 data = pd.read_csv("operations1.csv",
 2                    sep= ';', decimal= ',',
----> 3 parse_dates=[1,2,5], dayfirst=True) 
C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in parser_f(filepath_or_buffer, sep, delimiter, header, names, index_col, usecols, squeeze, prefix, mangle_dupe_cols, dtype, engine, converters, true_values, false_values, skipinitialspace, skiprows, nrows, na_values, keep_default_na, na_filter, verbose, skip_blank_lines, parse_dates, infer_datetime_format, keep_date_col, date_parser, dayfirst, iterator, chunksize, compression, thousands, decimal, lineterminator, quotechar, quoting, escapechar, comment, encoding, dialect, tupleize_cols, error_bad_lines, warn_bad_lines, skipfooter, doublequote, delim_whitespace, low_memory, memory_map, float_precision)
 676                     skip_blank_lines=skip_blank_lines)
 677 
--> 678return _read(filepath_or_buffer, kwds)
 679 
 680     parser_f.__name__ = name

C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in _read(filepath_or_buffer, kwds)
 444 
 445     try:
--> 446data = parser.read(nrows)
 447     finally:
 448         parser.close()

C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in read(self, nrows)
 1034                 raise ValueError('skipfooter not supported for iteration')
 1035 
-> 1036ret = self._engine.read(nrows)
 1037 
 1038         # May alter columns / col_dict

C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in read(self, nrows)
 1887 
 1888                 values = self._maybe_parse_dates(values, i,
-> 1889 try_parse_dates=True)  1890                 arrays.append(values)
 1891 

C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in _maybe_parse_dates(self, values, index, try_parse_dates)
 1946 
 1947     def _maybe_parse_dates(self, values, index, try_parse_dates=True):
-> 1948if try_parse_dates and self._should_parse_dates(index):
 1949             values = self._date_conv(values)
 1950         return values

C:\products\Anaconda3\lib\site-packages\pandas\io\parsers.py in _should_parse_dates(self, i)
 1319             else:
 1320                 name = None
-> 1321j = self.index_col[i]
 1322 
 1323             if is_scalar(self.parse_dates):

TypeError: 'NoneType' object is not subscriptable

 Dernière remarque, mon CSV voit ses lignes finir avec ";". Est-ce que cela a un impacte ? Et comment l'enlever ?

-
Edité par norit 31 janvier 2019 à 15:13:54

  • Partager sur Facebook
  • Partager sur Twitter
5 février 2019 à 12:22:35

Bonjour, 

Pour les sessions de "aller plus loin" de "La variance empirique corrigée" et "Calculs avec la variance empirique" du chapitre de "Comprenez les mesures de dispersion", j'ai du mal à comprendre des démonstrations de "variance empirique corrigée" et la relation de "vy = a2vx". Avez-vous d'autres démonstrations plus claires? En plus, je ne suis pas nulle en maths. Mais les démonstrations sont assez difficiles à interpreter. Vous remerciant par avance.

  • Partager sur Facebook
  • Partager sur Twitter

[COURS] Nettoyez et décrivez votre jeu de données

× Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
  • Editeur
  • Markdown